Bug 145562 - The MySQL installation is extremely old and no longer actively supported.
The MySQL installation is extremely old and no longer actively supported.
Product: Fedora
Classification: Fedora
Component: mysql (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2005-01-19 14:21 EST by Kevin Benton
Modified: 2013-07-02 23:03 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-01-23 02:03:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kevin Benton 2005-01-19 14:21:47 EST
Description of problem:

Folks - it's time to seriously consider upgrading MySQL to the next
version for Fedora.  Version 3 is no longer actively supported and not
receiving updates.  In Bug 88437, the reporter requested an update to
4.0.12 nearly two years ago and was told "later."

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Kevin Benton 2005-01-19 14:25:00 EST
There are a number of good reasons to move to 4.x, specifically 4.1. 
If nothing else, consider that current documentation shows features
now appearing in versions 4 and 5 that developers want to use but
can't in a default Fedora install.  At some point, MySQL 5 should be
considered as well, though even MySQL developers don't recommend that
yet.  A jump from 3.x to 5.x is not something I would look forward to.
 In the meantime, please again, consider the value of upgrading MySQL
to a version 4 distribution, hopefully in the next release of Fedora.
Comment 2 Tom Lane 2005-01-23 02:03:20 EST
You really shouldn't file such bugs against the "devel" branch without looking to see what's 
currently in it ;-)

I can't update FC3 or earlier branches because of backwards compatibility policy, but FC4 
will ship with MySQL 4.1.something (at the moment 4.1.9 is in rawhide).

The reason it took so long was MySQL AB's new licensing policy.  It took a good long while 
to convince our legal department that we were allowed to ship MySQL 4.x.

Note You need to log in before you can comment on or make changes to this bug.